OpenWrt/LEDE Project

  • Status Unconfirmed
  • Percent Complete
    0%
  • Task Type Bug Report
  • Category Base system
  • Assigned To No-one
  • Operating System All
  • Severity Low
  • Priority Very Low
  • Reported Version openwrt-19.07
  • Due in Version Undecided
  • Due Date Undecided
  • Private
Attached to Project: OpenWrt/LEDE Project
Opened by skom91 - 17.02.2021

FS#3629 - Not able to Flash Current OpenWRT 19.07.7 on Archer A7 v5

I have a TP-Link Archer A7 v5. I already had OpenWrt installed on it, but for testing a flashed back the Stock Firmware [1.1.0 Build 20201120 rel.50399(4555)]

After that i was not able to Flash the OpenWrt Firmware. I Have a serial console with the following output:

1.1.0 Build 20201120 rel.50399	
upgrade firmware...	
true	
file_len:4491641
md5 verify ok!
[Error]sysmgr_proinfo_buildStruct():  605 @ unknown id(device_name), skip it.
[Error]sysmgr_proinfo_buildStruct():  605 @ unknown id(hw_id), skip it.
[Error]sysmgr_proinfo_buildStruct():  605 @ unknown id(oem_id), skip it.
[Error]sysmgr_proinfo_buildStruct():  605 @ unknown id(country), skip it.
[Error]sysmgr_proinfo_buildStruct():  605 @ unknown id(hw_ver), skip it.
--------------------------------------------------------------------
      vendorName : TP-Link
       vendorUrl : www.tp-link.com
     productName : Archer A7
 productLanguage : EU
       productId : 00070005
      productVer : ff050000
       specialId : 45550000
           hwlId : 
           oemId : 
--------------------------------------------------------------------
Firmwave supports, check OK.
 (curFw_ver, newFw_ver) == (1.1, 1.0) [NM_Error](nm_checkSoftVer) 00848: Firmwave not supports, check failed.

[NM_Error](nm_checkUpdateContent) 01084: software version dismatched
[NM_Error](nm_buildUpgradeStruct) 01188: checkUpdateContent failed.

check firmware error!
[NM_Error](nvrammanager_verifyFirmware) 00476: upgradeFirmware failed

Is this maby because of the Version that is named in the Firmware and can this be fixed?

Thank you for your work!

skom91 commented on 17.02.2021 19:52

This patch solves the issue.

If we have a look to the Archer C7 Dokumentation it tells us, that no downgrade is possible from the current firmware - The same appears on the Archer A7, but they don't mention it with the Firmware Version.
So it should be that you are not able to install OpenWrt on Archer C7 v5 with the current Firmware (1.1). Maybe this needs to be fixed according to my patch

skom91 commented on 17.02.2021 21:39

I Opened a Pull Request on github

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing